List
curl --request GET \
--url https://api.qa.sima.ag/api/v2/third_party/machines \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/machines"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v2/third_party/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/machines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 234,
"brand": "Pla",
"model": null,
"year": null,
"beak_distance": "35.000000",
"tank": null,
"driver": "Riba Nestor",
"applicator_id": 3,
"application_method_id": 2,
"platform_width": null,
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2016-11-09T10:48:24-03:00",
"date_created": "2016-11-09T10:48:24-03:00"
},
{
"id": 88,
"brand": "Releyco",
"model": "",
"year": 0,
"beak_distance": "35.000000",
"tank": 3500,
"driver": "Varios",
"applicator_id": 4,
"application_method_id": 3,
"platform_width": "21.70",
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 2400,
"brand": "Fertec 3000",
"model": null,
"year": 2010,
"beak_distance": null,
"tank": null,
"driver": null,
"applicator_id": 5,
"application_method_id": null,
"platform_width": "21.00",
"has_pilot": false,
"has_harvest_map": false,
"machine_type_if": 4,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2019-05-14T11:11:41-03:00",
"date_created": "2019-05-14T11:11:41-03:00"
},
{
"id": 23,
"brand": "PA3000",
"model": "",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "",
"applicator_id": 22,
"application_method_id": 4,
"platform_width": null,
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 9720,
"brand": "Avión amarillo",
"model": null,
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": null,
"applicator_id": 30,
"application_method_id": 1,
"platform_width": "0.00",
"has_pilot": false,
"has_harvest_map": false,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2021-11-18T18:11:29-03:00",
"date_created": "2021-11-18T18:11:29-03:00"
},
{
"id": 86,
"brand": "Caiman",
"model": "",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "",
"applicator_id": 90,
"application_method_id": 2,
"platform_width": null,
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 87,
"brand": "Gimetal (Fertilizadora)",
"model": "",
"year": 0,
"beak_distance": "0.000000",
"tank": 1500,
"driver": "",
"applicator_id": 90,
"application_method_id": 3,
"platform_width": "16.00",
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 103,
"brand": "Metalfor Multiple 7035",
"model": "2014",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "Rafael",
"applicator_id": 105,
"application_method_id": 2,
"platform_width": null,
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 107,
"brand": "",
"model": "",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "Tincho",
"applicator_id": 109,
"application_method_id": 2,
"platform_width": null,
"has_pilot": null,
"has_harvest_map": null,
"machine_type_if": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"date_modified": "2015-01-01T00:00:00-03:00",
"date_created": "2015-01-01T00:00:00-03:00"
},
{
"id": 275,
"brand": "John Deree",
"model": "Sin Duales",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "Pato",
"applicator_id": 278,
"application_method_id": 4,
"platform_width": null,
"has_pilot": false,
"has_harvest_map": false,
"machine_type_if": 2,
"machine_threshing_system_id": 2,
"machine_head_id": 2,
"date_modified": "2017-03-14T12:14:52-03:00",
"date_created": "2017-03-14T12:14:52-03:00"
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 4,
"total_items": 34
}Version 1 > Machines
List
GET
/
api
/
v2
/
third_party
/
machines
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

